
.nohover {
&:hover {
            background-color: transparent !important;
            color: inherit !important;
            text-decoration: none !important;
            cursor: default !important;
}
}
.icon {
        margin-right: 0.5rem !important;
}
/* Element Chalk Variables */
div[data-v-29dc6832] .el-input {
  font-size: var(--font-size-sm);
}
div[data-v-29dc6832] .el-input .el-input__wrapper {
  background: transparent;
}
@media only screen and (min-width: 768px) {
div[data-v-29dc6832] .el-input {
    max-width: 135px;
}
}
@media only screen and (min-width: 1200px) {
div[data-v-29dc6832] .el-input {
    max-width: 250px;
}
}.beta[data-v-d9a06e1e] {
  pointer-events: none;
  --el-button-border-color: var(--ks-button-content-primary);
  border-color: var(--ks-button-content-primary);
  border-radius: calc(var(--el-border-radius-round) * 2);
}nav[data-v-334d8103] {
  top: 0;
  position: sticky;
  z-index: 1000;
  padding: 1rem 2rem;
  border-bottom: 1px solid var(--ks-border-primary);
  background: var(--ks-background-card);
}
nav .top-title[data-v-334d8103], nav h1[data-v-334d8103], nav .el-breadcrumb[data-v-334d8103] {
  white-space: nowrap;
  max-width: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
}
nav h1[data-v-334d8103] {
  line-height: 1.6;
  display: flex !important;
  align-items: center;
}
nav .star-button[data-v-334d8103] {
  margin-left: 1rem;
  border: none;
}
nav .star-active[data-v-334d8103] {
  color: #9470FF;
}
nav[data-v-334d8103] .el-breadcrumb__item {
  display: inline-block;
}
nav[data-v-334d8103] .el-breadcrumb__inner {
  white-space: nowrap;
  max-width: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
}
nav .side .fixed-buttons[data-v-334d8103] {
  align-items: center;
}
nav .side .fixed-buttons button[data-v-334d8103], nav .side .fixed-buttons[data-v-334d8103] button, nav .side .fixed-buttons a[data-v-334d8103], nav .side .fixed-buttons[data-v-334d8103] a {
  border: none;
  font-size: var(--font-size-lg);
  padding: 0.25rem;
}
nav .side ul[data-v-334d8103-s] {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
  gap: 0.5rem;
  align-items: center;
}
@media (max-width: 768px) {
nav .mycontainer[data-v-334d8103] {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, auto));
    grid-template-rows: repeat(2, auto);
    gap: 10px;
    overflow: hidden;
}
nav .icons[data-v-334d8103] {
    grid-row: 2;
    grid-column: 2;
    display: contents;
}
}
@media (max-width: 664px) {
nav .mycontainer[data-v-334d8103] {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, auto));
    grid-template-rows: repeat(2, auto);
    gap: 10px;
    overflow: hidden;
}
}.markdown {
  font-size: var(--0019b25f);
}
.markdown table {
  border-collapse: collapse;
  width: 100%;
  color: var(--ks-content-primary);
}
.markdown table,
.markdown th {
  border-bottom: 2px solid var(--ks-border-primary);
}
.markdown th,
.markdown td {
  padding: 0.5em;
}
.markdown th {
  text-align: left;
}
.markdown a.header-anchor {
  color: var(--ks-content-secondary);
  font-size: var(--font-size-base);
  font-weight: normal;
}
.markdown .warning {
  background-color: var(--ks-background-warning);
  border: 1px solid var(--ks-border-warning);
  color: var(--ks-content-warning);
  padding: 8px 16px;
  border-radius: var(--el-border-radius-base);
  margin-bottom: 1rem;
}
.markdown .warning p:last-child {
  margin-bottom: 0;
}
.markdown .info {
  background-color: var(--ks-background-info);
  border: 1px solid var(--ks-border-info);
  color: var(--ks-content-info);
  padding: 8px 16px;
  border-radius: var(--el-border-radius-base);
  margin-bottom: 1rem;
}
.markdown .info p:last-child {
  margin-bottom: 0;
}
.markdown pre {
  border-radius: var(--bs-border-radius-lg);
  border: 1px solid var(--ks-border-primary);
}
.markdown blockquote {
  margin-top: 0;
}
.markdown mark {
  background: var(--ks-background-success);
  color: var(--ks-content-success);
  font-size: var(--font-size-sm);
  padding: 2px 8px 2px 8px;
  border-radius: var(--bs-border-radius-sm);
}
.markdown mark * {
  color: var(--ks-content-success) !important;
}
.dark .markdown h1 img {
  filter: invert(1);
}
.markdown h2 {
  margin-top: 2rem;
}
.markdown h3 {
  margin-top: 1.5rem;
}
.markdown h4 {
  margin-top: 1.25rem;
}
.markdown h2, .markdown h3, .markdown h4, .markdown h5 {
  margin-left: var(--72f5e12c);
  padding: 5px;
  border-left: 4px solid var(--ks-border-primary);
}
.markdown h2 .header-anchor, .markdown h3 .header-anchor, .markdown h4 .header-anchor, .markdown h5 .header-anchor {
  opacity: 0;
  transition: all ease 0.2s;
}
.markdown h2:hover .header-anchor, .markdown h3:hover .header-anchor, .markdown h4:hover .header-anchor, .markdown h5:hover .header-anchor {
  opacity: 1;
}
.markdown strong > code,
.markdown li > code,
.markdown td > code,
.markdown p > code {
  border-radius: var(--bs-border-radius-sm);
  border: 1px solid var(--ks-border-primary);
  color: var(--ks-content-primary);
}
.markdown h3 code, .markdown h4 code, .markdown h5 code {
  background: var(--ks-background-card);
  font-size: 0.65em;
  padding: 2px 8px;
  font-weight: 400;
  border-radius: var(--bs-border-radius-sm);
  border: 1px solid var(--ks-border-primary);
  color: var(--ks-content-primary);
}
.markdown-tooltip {
  line-height: 15px;
  padding: 5px;
}
.markdown-tooltip *:last-child {
  margin-bottom: 0;
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
/* stylelint-disable custom-property-pattern */
/* stylelint-disable color-no-hex */
html.dark {
  --bs-gray: #404559;
  --bs-gray-100: #1C1E27;
  --bs-gray-100-lighten-2: rgb(32.2626865672, 34.5671641791, 44.9373134328);
  --bs-gray-100-darken-2: rgb(23.7373134328, 25.4328358209, 33.0626865672);
  --bs-gray-100-lighten-3: rgb(34.3940298507, 36.8507462687, 47.9059701493);
  --bs-gray-100-darken-3: rgb(21.6059701493, 23.1492537313, 30.0940298507);
  --bs-gray-100-lighten-5: rgb(38.6567164179, 41.4179104478, 53.8432835821);
  --bs-gray-100-darken-5: rgb(17.3432835821, 18.5820895522, 24.1567164179);
  --bs-gray-100-lighten-7: rgb(42.9194029851, 45.9850746269, 59.7805970149);
  --bs-gray-100-darken-7: rgb(13.0805970149, 14.0149253731, 18.2194029851);
  --bs-gray-100-lighten-10: rgb(49.3134328358, 52.8358208955, 68.6865671642);
  --bs-gray-100-darken-10: rgb(6.6865671642, 7.1641791045, 9.3134328358);
  --bs-gray-100-lighten-15: rgb(59.9701492537, 64.2537313433, 83.5298507463);
  --bs-gray-100-darken-15: black;
  --bs-gray-200: #21242E;
  --bs-gray-200-lighten-2: rgb(37.2607594937, 40.6481012658, 51.9392405063);
  --bs-gray-200-darken-2: rgb(28.7392405063, 31.3518987342, 40.0607594937);
  --bs-gray-200-lighten-3: rgb(39.3911392405, 42.9721518987, 54.9088607595);
  --bs-gray-200-darken-3: rgb(26.6088607595, 29.0278481013, 37.0911392405);
  --bs-gray-200-lighten-5: rgb(43.6518987342, 47.6202531646, 60.8481012658);
  --bs-gray-200-darken-5: rgb(22.3481012658, 24.3797468354, 31.1518987342);
  --bs-gray-200-lighten-7: rgb(47.9126582278, 52.2683544304, 66.7873417722);
  --bs-gray-200-darken-7: rgb(18.0873417722, 19.7316455696, 25.2126582278);
  --bs-gray-200-lighten-10: rgb(54.3037974684, 59.2405063291, 75.6962025316);
  --bs-gray-200-darken-10: rgb(11.6962025316, 12.7594936709, 16.3037974684);
  --bs-gray-200-lighten-15: rgb(64.9556962025, 70.8607594937, 90.5443037975);
  --bs-gray-200-darken-15: rgb(1.0443037975, 1.1392405063, 1.4556962025);
  --bs-gray-300: #202435;
  --bs-gray-300-lighten-2: rgb(35.84, 40.32, 59.36);
  --bs-gray-300-darken-2: rgb(28.16, 31.68, 46.64);
  --bs-gray-300-lighten-3: rgb(37.76, 42.48, 62.54);
  --bs-gray-300-darken-3: rgb(26.24, 29.52, 43.46);
  --bs-gray-300-lighten-5: rgb(41.6, 46.8, 68.9);
  --bs-gray-300-darken-5: rgb(22.4, 25.2, 37.1);
  --bs-gray-300-lighten-7: rgb(45.44, 51.12, 75.26);
  --bs-gray-300-darken-7: rgb(18.56, 20.88, 30.74);
  --bs-gray-300-lighten-10: rgb(51.2, 57.6, 84.8);
  --bs-gray-300-darken-10: rgb(12.8, 14.4, 21.2);
  --bs-gray-300-lighten-15: rgb(60.8, 68.4, 100.7);
  --bs-gray-300-darken-15: rgb(3.2, 3.6, 5.3);
  --bs-gray-400: #2C303F;
  --bs-gray-400-lighten-2: rgb(48.1943925234, 52.5757009346, 69.0056074766);
  --bs-gray-400-darken-2: rgb(39.8056074766, 43.4242990654, 56.9943925234);
  --bs-gray-400-lighten-3: rgb(50.291588785, 54.8635514019, 72.008411215);
  --bs-gray-400-darken-3: rgb(37.708411215, 41.1364485981, 53.991588785);
  --bs-gray-400-lighten-5: rgb(54.4859813084, 59.4392523364, 78.0140186916);
  --bs-gray-400-darken-5: rgb(33.5140186916, 36.5607476636, 47.9859813084);
  --bs-gray-400-lighten-7: rgb(58.6803738318, 64.014953271, 84.0196261682);
  --bs-gray-400-darken-7: rgb(29.3196261682, 31.985046729, 41.9803738318);
  --bs-gray-400-lighten-10: rgb(64.9719626168, 70.8785046729, 93.0280373832);
  --bs-gray-400-darken-10: rgb(23.0280373832, 25.1214953271, 32.9719626168);
  --bs-gray-400-lighten-15: rgb(75.4579439252, 82.3177570093, 108.0420560748);
  --bs-gray-400-darken-15: rgb(12.5420560748, 13.6822429907, 17.9579439252);
  --bs-gray-500: #2F3342;
  --bs-gray-500-lighten-2: rgb(51.2424778761, 55.603539823, 71.9575221239);
  --bs-gray-500-darken-2: rgb(42.7575221239, 46.396460177, 60.0424778761);
  --bs-gray-500-lighten-3: rgb(53.3637168142, 57.9053097345, 74.9362831858);
  --bs-gray-500-darken-3: rgb(40.6362831858, 44.0946902655, 57.0637168142);
  --bs-gray-500-lighten-5: rgb(57.6061946903, 62.5088495575, 80.8938053097);
  --bs-gray-500-darken-5: rgb(36.3938053097, 39.4911504425, 51.1061946903);
  --bs-gray-500-lighten-7: rgb(61.8486725664, 67.1123893805, 86.8513274336);
  --bs-gray-500-darken-7: rgb(32.1513274336, 34.8876106195, 45.1486725664);
  --bs-gray-500-lighten-10: rgb(68.2123893805, 74.017699115, 95.7876106195);
  --bs-gray-500-darken-10: rgb(25.7876106195, 27.982300885, 36.2123893805);
  --bs-gray-500-lighten-15: rgb(78.8185840708, 85.5265486726, 110.6814159292);
  --bs-gray-500-darken-15: rgb(15.1814159292, 16.4734513274, 21.3185840708);
  --bs-gray-600: #404559;
  --bs-gray-600-lighten-2: rgb(68.2666666667, 73.6, 94.9333333333);
  --bs-gray-600-darken-2: rgb(59.7333333333, 64.4, 83.0666666667);
  --bs-gray-600-lighten-3: rgb(70.4, 75.9, 97.9);
  --bs-gray-600-darken-3: rgb(57.6, 62.1, 80.1);
  --bs-gray-600-lighten-5: rgb(74.6666666667, 80.5, 103.8333333333);
  --bs-gray-600-darken-5: rgb(53.3333333333, 57.5, 74.1666666667);
  --bs-gray-600-lighten-7: rgb(78.9333333333, 85.1, 109.7666666667);
  --bs-gray-600-darken-7: rgb(49.0666666667, 52.9, 68.2333333333);
  --bs-gray-600-lighten-10: rgb(85.3333333333, 92, 118.6666666667);
  --bs-gray-600-darken-10: rgb(42.6666666667, 46, 59.3333333333);
  --bs-gray-600-lighten-15: rgb(96, 103.5, 133.5);
  --bs-gray-600-darken-15: rgb(32, 34.5, 44.5);
  --bs-gray-700: #918BA9;
  --bs-gray-700-lighten-2: rgb(150.5544554455, 144.8574257426, 173.3425742574);
  --bs-gray-700-darken-2: rgb(139.4455445545, 133.1425742574, 164.6574257426);
  --bs-gray-700-lighten-3: rgb(153.3316831683, 147.7861386139, 175.5138613861);
  --bs-gray-700-darken-3: rgb(136.6683168317, 130.2138613861, 162.4861386139);
  --bs-gray-700-lighten-5: rgb(158.8861386139, 153.6435643564, 179.8564356436);
  --bs-gray-700-darken-5: rgb(131.1138613861, 124.3564356436, 158.1435643564);
  --bs-gray-700-lighten-7: rgb(164.4405940594, 159.500990099, 184.199009901);
  --bs-gray-700-darken-7: rgb(125.5594059406, 118.499009901, 153.800990099);
  --bs-gray-700-lighten-10: rgb(172.7722772277, 168.2871287129, 190.7128712871);
  --bs-gray-700-darken-10: rgb(117.2277227723, 109.7128712871, 147.2871287129);
  --bs-gray-700-lighten-15: rgb(186.6584158416, 182.9306930693, 201.5693069307);
  --bs-gray-700-darken-15: rgb(105.4356435644, 98.5594059406, 132.9405940594);
  --bs-gray-800: #A69FC1;
  --bs-gray-800-lighten-2: rgb(171.7455696203, 165.1974683544, 197.0025316456);
  --bs-gray-800-darken-2: rgb(160.2544303797, 152.8025316456, 188.9974683544);
  --bs-gray-800-lighten-3: rgb(174.6183544304, 168.2962025316, 199.0037974684);
  --bs-gray-800-darken-3: rgb(157.3816455696, 149.7037974684, 186.9962025316);
  --bs-gray-800-lighten-5: rgb(180.3639240506, 174.4936708861, 203.0063291139);
  --bs-gray-800-darken-5: rgb(151.6360759494, 143.5063291139, 182.9936708861);
  --bs-gray-800-lighten-7: rgb(186.1094936709, 180.6911392405, 207.0088607595);
  --bs-gray-800-darken-7: rgb(145.8905063291, 137.3088607595, 178.9911392405);
  --bs-gray-800-lighten-10: rgb(194.7278481013, 189.9873417722, 213.0126582278);
  --bs-gray-800-darken-10: rgb(137.2721518987, 128.0126582278, 172.9873417722);
  --bs-gray-800-lighten-15: rgb(209.0917721519, 205.4810126582, 223.0189873418);
  --bs-gray-800-darken-15: rgb(122.9082278481, 112.5189873418, 162.9810126582);
  --bs-gray-900: #CAC5DA;
  --bs-gray-900-lighten-2: rgb(207.6905263158, 203.2273684211, 221.9726315789);
  --bs-gray-900-darken-2: rgb(196.3094736842, 190.7726315789, 214.0273684211);
  --bs-gray-900-lighten-3: rgb(210.5357894737, 206.3410526316, 223.9589473684);
  --bs-gray-900-darken-3: rgb(193.4642105263, 187.6589473684, 212.0410526316);
  --bs-gray-900-lighten-5: rgb(216.2263157895, 212.5684210526, 227.9315789474);
  --bs-gray-900-darken-5: rgb(187.7736842105, 181.4315789474, 208.0684210526);
  --bs-gray-900-lighten-7: rgb(221.9168421053, 218.7957894737, 231.9042105263);
  --bs-gray-900-darken-7: rgb(182.0831578947, 175.2042105263, 204.0957894737);
  --bs-gray-900-lighten-10: rgb(230.4526315789, 228.1368421053, 237.8631578947);
  --bs-gray-900-darken-10: rgb(173.5473684211, 165.8631578947, 198.1368421053);
  --bs-gray-900-lighten-15: rgb(244.6789473684, 243.7052631579, 247.7947368421);
  --bs-gray-900-darken-15: rgb(159.3210526316, 150.2947368421, 188.2052631579);
  --bs-card-bg: #2F3342;
  --bs-heading-color: var(--bs-white);
  --bs-body-color: white;
  --bs-body-bg: #1C1E27;
  --bs-body-background: #1C1E27;
  --bs-border-color: #404559;
  --bs-border-secondary-color: #2F3342;
  --bs-secondary: #E3DBFF;
  --bs-secondary-rgb: 227, 219, 255;
  --bs-link-color: #C182FF;
  --bs-link-color-rgb: 187, 187, 255;
  --bs-tertiary-color: #C3BBE3;
  --bs-code-color: #BBBBFF;
  --bs-link-hover-color-rgb: 224, 224, 255;
  --card-bg: #2F3342;
  --input-bg: #262A36;
  --el-bg-color: var(--ks-background-body);
  --el-bg-color-page: var(--ks-background-body);
  --el-bg-color-overlay: var(--bs-gray-100-darken-5);
  --el-disabled-bg-color: var(--bs-gray-100-lighten-5);
  --el-disabled-border-color: var(--bs-border-color);
  --el-text-color-primary: var(--bs-primary);
  --el-text-color-regular: var(--ks-content-primary);
  --el-text-color-secondary: var(--bs-secondary);
  --el-text-color-placeholder: var(--ks-content-primary);
  --el-text-color-disabled: var(--bs-gray-400);
  --el-border-color: var(--bs-border-color);
  --el-border-color-light: var(--bs-border-color);
  --el-border-color-lighter: var(--bs-border-color);
  --el-border-color-extra-light: var(--bs-border-color);
  --el-border-color-dark: var(--bs-border-color);
  --el-border-color-darker: var(--bs-border-color);
  --el-fill-color: var(--bs-gray-700);
  --el-fill-color-light: var(--bs-gray-800);
  --el-fill-color-lighter: var(--bs-gray-700);
  --el-fill-color-extra-light: var(--bs-gray-400);
  --el-fill-color-dark: var(--bs-gray-800);
  --el-fill-color-darker: var(--bs-gray-900);
  --el-fill-color-blank: var(--bs-card-bg);
  --el-color-alert-primary: var(--bs-primary);
  --el-color-alert-info: #c7fdff;
  --el-color-alert-danger: #e3262f;
  --el-color-alert-error: #e3262f;
  --el-color-alert-warning: #eeaf80;
  --el-color-alert-success: #beefe2;
  --el-box-shadow: 0 0.5rem 1rem rgba(38, 40, 45, 0.15);
  --el-box-shadow-light: 0 0.125rem 0.25rem rgba(38, 40, 45, 0.075);
  --el-box-shadow-lighter: 0 0.125rem 0.25rem rgba(38, 40, 45, 0.075);
  --el-box-shadow-dark: 0 1rem 3rem rgba(38, 40, 45, 0.175);
  --el-button-active-text-color: var(--ks-content-primary);
  --input-suffix-color: #C6C1D9;
  --white-black-font-color: #FFF;
  --bs-info-rgb: 199, 240, 255;
  --bs-running-rgb: 187, 187, 255;
  --bs-danger-rgb: 253, 114, 120;
  --bs-warning-rgb: 243, 196, 161;
  --bs-success-rgb: 124, 223, 196;
}
html.dark .bg-info {
  --bs-bg-opacity: 0.2;
}
html.dark .bg-running {
  --bs-bg-opacity: 0.2;
}
html.dark .bg-danger {
  --bs-bg-opacity: 0.2;
}
html.dark .bg-warning {
  --bs-bg-opacity: 0.2;
}
html.dark .shiki, html.dark .shiki span {
  font-style: var(--shiki-dark-font-style) !important;
  font-weight: var(--shiki-dark-font-weight) !important;
  text-decoration: var(--shiki-dark-text-decoration) !important;
}
:not(.namespace-form, .el-drawer__body) > .ks-editor {
  flex-direction: column;
  height: 100%;
}
.el-form .ks-editor {
  display: flex;
  width: 100%;
}
.ks-editor {
  display: flex;
}
.ks-editor .top-nav {
  background-color: var(--ks-background-card);
  padding: 0.5rem;
  border-radius: var(--bs-border-radius-lg);
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}
html.dark .ks-editor .top-nav {
  background-color: var(--bs-gray-100);
}
.ks-editor .editor-absolute-container {
  position: absolute;
  top: 8px;
  right: 20px;
  z-index: 10;
}
.ks-editor .editor-absolute-container > * {
  pointer-events: auto;
}
.ks-editor .editor-container {
  display: flex;
  flex-grow: 1;
}
.ks-editor .editor-container.single-line {
  min-height: var(--el-component-size);
  padding: 1px 11px;
  background-color: var(--el-input-bg-color, var(--el-fill-color-blank));
  border-radius: var(--el-input-border-radius, var(--el-border-radius-base));
  transition: var(--el-transition-box-shadow);
  box-shadow: 0 0 0 1px var(--ks-border-primary) inset;
  padding-top: 7px;
}
.ks-editor .editor-container.single-line.custom-dark-vs-theme {
  background-color: #1C1E27;
}
.ks-editor .editor-container.single-line.theme-light {
  background-color: #ffffff;
}
.ks-editor .editor-container .placeholder {
  position: absolute;
  top: -3px;
  overflow: hidden;
  padding-left: inherit;
  padding-right: inherit;
  cursor: text;
  user-select: none;
  color: var(--ks-content-inactive);
}
.ks-editor .editor-container .editor-wrapper {
  min-width: 75%;
  width: 100%;
}
.ks-editor .editor-container .editor-wrapper .monaco-hover-content h4 {
  font-size: var(--font-size-base);
  font-weight: bold;
  line-height: var(--bs-body-line-height);
}
.ks-editor .editor-container .editor-wrapper .monaco-hover-content p {
  margin-bottom: 0.5rem;
}
.ks-editor .editor-container .editor-wrapper .monaco-hover-content p:last-child {
  display: none;
}
.ks-editor .editor-container .editor-wrapper .monaco-hover-content *:nth-last-child(2n) {
  margin-bottom: 0;
}
.ks-editor .editor-container .bottom-right {
  bottom: 0px;
  right: 0px;
}
.ks-editor .editor-container .bottom-right ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}
.custom-dark-vs-theme .monaco-editor,
.custom-dark-vs-theme .monaco-editor-background {
  outline: none;
  background-color: #1C1E27;
  --vscode-editor-background: $input-bg;
  --vscode-breadcrumb-background: $input-bg;
  --vscode-editorGutter-background: $input-bg;
}
.custom-dark-vs-theme .monaco-editor .margin {
  background-color: #1C1E27;
}
.highlight-text {
  cursor: pointer;
  font-weight: 700;
  box-shadow: 0 19px 44px rgba(157, 29, 236, 0.31);
}
html.dark .highlight-text {
  background-color: rgba(255, 255, 255, 0.2);
}
.highlight-pebble {
  color: #977100 !important;
}
html.dark .highlight-pebble {
  color: #ffca16 !important;
}
.disable-text {
  color: grey !important;
}
div.img {
  min-height: 130px;
  height: 100%;
}
div.img.get-started {
  background: url("./onboarding-doc-light-B0vViwbX.svg") no-repeat center;
}
html.dark div.img.get-started {
  background: url("./onboarding-doc-dark-BGAuzZvo.svg") no-repeat center;
}.no-code[data-v-12c29bf1] .ks-monaco-editor {
  overflow-x: hidden;
}
.no-code[data-v-12c29bf1]::-webkit-scrollbar {
  height: 5px;
  width: 5px;
}
.no-code[data-v-12c29bf1]::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.no-code[data-v-12c29bf1]::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}
.collapse[data-v-12c29bf1] * {
  font-size: var(--el-font-size-small);
}
.collapse[data-v-12c29bf1] * {
  --el-collapse-header-bg-color: initial;
  --el-collapse-header-text-color: var(--bs-gray-700);
  --el-collapse-content-bg-color: initial;
}
.collapse[data-v-12c29bf1] * .el-collapse-item__header,
.collapse[data-v-12c29bf1] * .el-collapse-item__content {
  padding: 0.5rem 0;
}
.collapse[data-v-12c29bf1] * .el-collapse-item__header {
  justify-content: space-between;
}
.collapse[data-v-12c29bf1] * .el-collapse-item__header.is-active {
  color: var(--ks-content-link);
}
.label[data-v-12c29bf1] {
  color: var(--bs-gray-700);
  font-size: var(--el-font-size-small);
}
.delete[data-v-12c29bf1],
.reorder[data-v-12c29bf1] {
  cursor: pointer;
  padding-left: 0;
  color: var(--bs-gray-700);
  text-align: right;
}
.wrapper[data-v-12c29bf1] * {
  --el-disabled-text-color: var(--bs-gray-700);
}
.wrapper[data-v-12c29bf1] * .el-input__inner,
.wrapper[data-v-12c29bf1] * .el-textarea__inner {
  color: var(--bs-gray-700);
  font-size: var(--el-font-size-small);
}.kicon[data-v-8e430328] {
  white-space: nowrap;
}.dashboard-card-tooltip {
  width: 300px;
}.card[data-v-f4022a66] {
  box-shadow: 0px 2px 4px 0px var(--ks-card-shadow);
  background: var(--ks-background-card);
  color: var(--ks-content-primary);
  border: 1px solid var(--ks-border-primary);
  border-radius: 0.25rem;
}
.card .icons[data-v-f4022a66] {
  color: #C182FF;
}
.card .icons.url[data-v-f4022a66] {
  color: #7e719f;
}button[active=true] .auto-refresh-icon[data-v-c9f33c47] {
  animation: rotate-c9f33c47 10s linear infinite;
}
@keyframes rotate-c9f33c47 {
0% {
    rotate: 0deg;
}
100% {
    rotate: 360deg;
}
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
[data-v-4b6ce43f]:root {
  --ks-tag-background: #f9f9fa;
  --ks-tag-background-active: #ecebef;
}
html.dark[data-v-4b6ce43f] {
  --ks-tag-background: #262a35;
  --ks-tag-background-active: #2f3342;
  --ks-tag-background-hover: #404559;
}
.items .el-tag[data-v-4b6ce43f] {
  padding: 0;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active);
}
.items .small[data-v-4b6ce43f] {
  font-size: var(--el-font-size-extra-small);
}
.el-popper .empty[data-v-4b6ce43f] {
  color: var(--bs-gray-900);
}
.el-popper .scroller[data-v-4b6ce43f]::-webkit-scrollbar {
  height: 3px;
  width: 3px;
}
.el-popper .scroller[data-v-4b6ce43f]::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.el-popper .scroller[data-v-4b6ce43f]::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}
span[data-v-4b6ce43f] {
  padding: 0.4rem 0.35rem;
  display: inline-block;
}
span[data-v-4b6ce43f]:first-child,
span .operation[data-v-4b6ce43f] {
  background: var(--ks-tag-background);
}
span .operation[data-v-4b6ce43f] {
  border-left: 4px solid #ffffff;
  border-right: 4px solid #ffffff;
}
html.dark span .operation[data-v-4b6ce43f] {
  border-color: #1e202a;
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
[data-v-47542c16]:root {
  --ks-tag-background: #f9f9fa;
  --ks-tag-background-active: #ecebef;
}
html.dark[data-v-47542c16] {
  --ks-tag-background: #262a35;
  --ks-tag-background-active: #2f3342;
  --ks-tag-background-hover: #404559;
}
.items .el-tag[data-v-47542c16] {
  padding: 0;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active);
}
.items .small[data-v-47542c16] {
  font-size: var(--el-font-size-extra-small);
}
.el-popper .empty[data-v-47542c16] {
  color: var(--bs-gray-900);
}
.el-popper .scroller[data-v-47542c16]::-webkit-scrollbar {
  height: 3px;
  width: 3px;
}
.el-popper .scroller[data-v-47542c16]::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.el-popper .scroller[data-v-47542c16]::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}
.title[data-v-47542c16] {
  margin: 0;
  padding: 0.25rem 0 0 1rem;
  color: var(--bs-gray-700);
  font-size: var(--el-font-size-extra-small);
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
[data-v-1a92c529]:root {
  --ks-tag-background: #f9f9fa;
  --ks-tag-background-active: #ecebef;
}
html.dark[data-v-1a92c529] {
  --ks-tag-background: #262a35;
  --ks-tag-background-active: #2f3342;
  --ks-tag-background-hover: #404559;
}
.items .el-tag[data-v-1a92c529] {
  padding: 0;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active);
}
.items .small[data-v-1a92c529] {
  font-size: var(--el-font-size-extra-small);
}
.el-popper .empty[data-v-1a92c529] {
  color: var(--bs-gray-900);
}
.el-popper .scroller[data-v-1a92c529]::-webkit-scrollbar {
  height: 3px;
  width: 3px;
}
.el-popper .scroller[data-v-1a92c529]::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.el-popper .scroller[data-v-1a92c529]::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}
.dropdown[data-v-1a92c529] {
  width: 800px;
}
.dropdown[data-v-1a92c529]:hover {
  border-radius: 0;
}
.items[data-v-1a92c529] {
  background-color: var(--el-bg-color-overlay);
  max-height: 170px !important;
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
[data-v-034a34b0]:root {
  --ks-tag-background: #f9f9fa;
  --ks-tag-background-active: #ecebef;
}
html.dark[data-v-034a34b0] {
  --ks-tag-background: #262a35;
  --ks-tag-background-active: #2f3342;
  --ks-tag-background-hover: #404559;
}
.items .el-tag[data-v-034a34b0] {
  padding: 0;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active);
}
.items .small[data-v-034a34b0] {
  font-size: var(--el-font-size-extra-small);
}
.el-popper .empty[data-v-034a34b0] {
  color: var(--bs-gray-900);
}
.el-popper .scroller[data-v-034a34b0]::-webkit-scrollbar {
  height: 3px;
  width: 3px;
}
.el-popper .scroller[data-v-034a34b0]::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.el-popper .scroller[data-v-034a34b0]::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}.dropdown[data-v-544c1e11] {
  width: 200px;
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
[data-v-d88a39bb]:root {
  --ks-tag-background: #f9f9fa;
  --ks-tag-background-active: #ecebef;
}
html.dark[data-v-d88a39bb] {
  --ks-tag-background: #262a35;
  --ks-tag-background-active: #2f3342;
  --ks-tag-background-hover: #404559;
}
.items .el-tag[data-v-d88a39bb] {
  padding: 0;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active);
}
.items .small[data-v-d88a39bb] {
  font-size: var(--el-font-size-extra-small);
}
.el-popper .empty[data-v-d88a39bb] {
  color: var(--bs-gray-900);
}
.el-popper .scroller[data-v-d88a39bb]::-webkit-scrollbar {
  height: 3px;
  width: 3px;
}
.el-popper .scroller[data-v-d88a39bb]::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.el-popper .scroller[data-v-d88a39bb]::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}
.dropdown[data-v-d88a39bb] {
  width: 300px;
  background: var(ks-select-background);
}
.dropdown[data-v-d88a39bb] li.el-dropdown-menu__item:hover, .dropdown[data-v-d88a39bb] li.el-dropdown-menu__item:focus {
  background: var(--ks-select-hover);
}
.items[data-v-d88a39bb] {
  max-height: 160px !important;
}
.items[data-v-d88a39bb] li.el-dropdown-menu__item {
  border-radius: unset;
}
.main-button[data-v-d88a39bb] {
  max-width: 300px;
}
.main-button span[data-v-d88a39bb] {
  max-width: 250px;
}.properties-wrapper[data-v-0bc55a20] {
  position: relative;
  display: inline-block;
}
.properties-container[data-v-0bc55a20] {
  position: absolute;
  z-index: 1000;
  background-color: var(--ks-background-body);
  border: 1px solid var(--ks-border-primary);
  border-radius: 8px;
  padding: 1rem;
  width: 280px;
  opacity: 0;
  visibility: hidden;
  top: 100%;
  right: 0;
  margin-bottom: 7px;
  transform: translateY(-10px);
  transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s ease;
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
}
.properties-container.visible[data-v-0bc55a20] {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.scrollable-container[data-v-0bc55a20] {
  max-height: 300px;
  overflow-y: scroll;
}
.scrollable-container[data-v-0bc55a20]::-webkit-scrollbar {
  width: 6px;
}
.scrollable-container[data-v-0bc55a20]::-webkit-scrollbar-track {
  background: var(--el-scrollbar-bg-color);
  border-radius: 3px;
}
.scrollable-container[data-v-0bc55a20]::-webkit-scrollbar-thumb {
  background: var(--el-color-primary);
  border-radius: 3px;
}
.scrollable-container[data-v-0bc55a20]::-webkit-scrollbar-thumb:hover {
  background: var(--el-color-primary-light-3);
}
.container-header[data-v-0bc55a20] {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
}
.group-title[data-v-0bc55a20] {
  color: var(--el-text-color-secondary);
  font-size: var(--el-font-size-extra-small);
}
.property-list li[data-v-0bc55a20] {
  padding: 8px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  line-height: 10px;
}
.property-name[data-v-0bc55a20] {
  font-size: var(--el-font-size-small);
  color: var(--el-text-color-regular);
}
[data-v-0bc55a20] .el-input__prefix-inner {
  color: var(--bs-gray-700);
  font-size: var(--el-font-size-large);
}
.eye-icon[data-v-0bc55a20] {
  cursor: pointer;
  transition: opacity 0.2s;
  color: var(--el-text-color-regular);
  font-size: 16px;
}
.eye-icon[data-v-0bc55a20]:hover {
  color: var(--el-text-color-secondary);
}
.eye-icon.hidden[data-v-0bc55a20] {
  color: var(--el-text-color-secondary);
}
.eye-icon.hidden[data-v-0bc55a20]:hover {
  color: var(--el-text-color-regular);
}
[data-v-0bc55a20] .el-input__inner::placeholder {
  color: var(--bs-gray-700);
  font-size: var(--el-font-size-small);
}.circle[data-v-f0988f85] {
  width: 6px;
  height: 6px;
  border-radius: 50%;
  margin-right: 8px;
}/**
 * This file is auto-generated by scripts/generate-palette.mjs. 
 * It is a summary of color choices made in Figma.
 * Should you need to make a change in it, ask a designer 
 * at Kestra first, so your changes are not overwritten. 
 */
:root {
  --ks-tag-background: #f9f9fa;
  --ks-tag-background-active: #ecebef;
}
html.dark {
  --ks-tag-background: #262a35;
  --ks-tag-background-active: #2f3342;
  --ks-tag-background-hover: #404559;
}
.items .el-tag {
  padding: 0;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active);
}
.items .small {
  font-size: var(--el-font-size-extra-small);
}
.el-popper .empty {
  color: var(--bs-gray-900);
}
.el-popper .scroller::-webkit-scrollbar {
  height: 3px;
  width: 3px;
}
.el-popper .scroller::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
.el-popper .scroller::-webkit-scrollbar-thumb {
  background: var(--ks-border-primary);
  border-radius: 0px;
}
.filters {
  width: -moz-available;
  width: -webkit-fill-available;
  width: fill-available;
}
.filters .el-select {
  width: 100%;
}
.filters .el-select.refresh.settings.dashboards.properties {
  max-width: calc(100% - 144px - 104px - 52px - 52px - var(--5f41f9cf));
}
.filters .el-select.refresh.settings.dashboards {
  max-width: calc(100% - 144px - 104px - 52px - 52px);
}
.filters .el-select.refresh.settings {
  max-width: calc(100% - 144px - 104px - 52px + 0.25rem);
}
.filters .el-select.settings.dashboards {
  max-width: calc(100% - 144px - 52px - 52px);
}
.filters .el-select.settings.properties {
  max-width: calc(100% - 144px - 52px - var(--5f41f9cf));
}
.filters .el-select.refresh.dashboards {
  max-width: calc(100% - 144px - 104px - 52px);
}
.filters .el-select.refresh.properties {
  max-width: calc(100% - 144px - 104px - var(--5f41f9cf));
}
.filters .el-select.dashboards.properties {
  max-width: calc(100% - 144px - 52px - var(--5f41f9cf));
}
.filters .el-select.refresh {
  max-width: calc(100% - 144px - 104px);
}
.filters .el-select.settings {
  max-width: calc(100% - 144px - 52px);
}
.filters .el-select.dashboards {
  min-width: 52px;
  max-width: calc(100% - 144px - 52px);
}
.filters .el-select.properties {
  max-width: calc(100% - 144px - var(--5f41f9cf));
}
.filters .el-select__placeholder {
  color: var(--bs-gray-700);
}
.filters .el-select__wrapper {
  border-radius: 0;
  box-shadow: 0 -1px 0 0 var(--ks-border-primary) inset, 0 1px 0 0 var(--ks-border-primary) inset;
}
.filters .el-select__wrapper .el-tag {
  overflow: hidden;
  padding: 0 !important;
  padding-right: 0.3rem !important;
  color: var(--ks-tag-content);
  background: var(--ks-tag-background-active) !important;
}
.filters .el-select__wrapper .el-tag.disabled .el-tag__content {
  cursor: not-allowed;
}
.filters .el-select__wrapper .el-tag:hover {
  background: var(--ks-tag-background-hover) !important;
}
.filters .el-select__wrapper .el-tag .el-tag__close {
  color: var(--ks-content-link);
}
.filters .el-select__wrapper .el-tag .el-tag__close:hover {
  background: none !important;
}
.filters .el-select__selection {
  flex-wrap: nowrap;
  overflow-x: auto;
}
.filters .el-select__selection::-webkit-scrollbar {
  height: 0px;
}
.filters-select .el-select-dropdown {
  width: auto !important;
}
.filters-select .el-select-dropdown:has(.el-select-dropdown__empty) {
  width: auto !important;
}
.filters-select .el-select-dropdown__empty span {
  padding: 0 1rem;
  color: var(--ks-content-inactive);
}
.filters-select .el-date-editor.el-input__wrapper {
  background-color: initial;
  box-shadow: none;
}
.filters-select .el-select-dropdown__item .material-design-icon {
  bottom: -0.15rem;
}
.filters-select .el-select-dropdown__item.is-selected {
  background-color: var(--ks-background-hover);
  font-weight: initial;
}
.filters-select .el-select-dropdown__item.is-selected::after {
  display: none;
}
.filters-select .el-select-dropdown__item.disabled {
  opacity: 0.6;
}
.filters-select .el-select-dropdown__item.disabled:hover {
  cursor: not-allowed;
  background-color: transparent;
}[data-v-aea60c7b] .el-empty__description {
  font-size: var(--el-font-size-small);
  color: var(--ks-content-secondary);
}.small[data-v-e404b4eb] {
  height: 40px;
}.tall[data-v-a394e6d6] {
  height: 200px;
  max-height: 200px;
}
.small[data-v-a394e6d6] {
  font-size: 0.75rem;
  color: #303e67;
}
html.dark .small[data-v-a394e6d6] {
  color: #E5E4F7;
}
.responsive-container[data-v-a394e6d6] {
  min-height: 100%;
}
@media (max-width: 610px) {
.responsive-container[data-v-a394e6d6] {
    padding: 2px;
}
.info-container[data-v-a394e6d6] {
    flex-direction: column;
    text-align: center;
}
.info-block[data-v-a394e6d6] {
    margin-bottom: 15px;
}
.switch-container[data-v-a394e6d6] {
    display: flex;
    justify-content: center;
    width: 100%;
}
.switch-content[data-v-a394e6d6] {
    justify-content: center;
}
.fs-2[data-v-a394e6d6] {
    font-size: 1.5rem;
}
.fs-6[data-v-a394e6d6] {
    font-size: 0.875rem;
}
.small[data-v-a394e6d6] {
    font-size: 0.75rem;
}
}.tall[data-v-0e77fedb] {
  height: 200px;
  max-height: 200px;
}.tall[data-v-23d6b28c] {
  height: 200px;
  max-height: 200px;
}
.small[data-v-23d6b28c] {
  font-size: 0.75rem;
  color: #303e67;
}
html.dark .small[data-v-23d6b28c] {
  color: #E5E4F7;
}.tall[data-v-c674fb74] {
  height: 200px;
  max-height: 200px;
}
.text[data-v-c674fb74] {
  color: var(--ks-content-secondary);
}.tall[data-v-94d2e17b] {
  height: 200px;
  max-height: 200px;
}
.small[data-v-94d2e17b] {
  font-size: 0.75rem;
  color: #303e67;
}
html.dark .small[data-v-94d2e17b] {
  color: #E5E4F7;
}.el-button[data-v-8bca90c3] {
  white-space: nowrap;
  border-radius: var(--el-border-radius-base);
  width: 7rem;
  cursor: default;
}
.el-button.no-label[data-v-8bca90c3] {
  padding: 0.5rem;
  line-height: 1;
}code[data-v-6c41960a] {
  color: var(--ks-content-id);
}
.inprogress[data-v-6c41960a] {
  background: var(--ks-background-table-row);
}
[data-v-6c41960a] .el-skeleton-item {
  background: var(--ks-background-skeleton);
}code {
  color: var(--ks-content-id);
}
.nextscheduled {
  background: var(--ks-background-table-row);
}
.next-toggle {
  padding: 8px 0 0 0 !important;
}
:deep(.el-skeleton-item) {
  background: var(--ks-background-skeleton);
}.chart[data-v-2cc73486] {
  --chart-height: 200px;
  min-height: var(--chart-height);
  max-height: var(--chart-height);
}
.chart[data-v-2cc73486]:not(.with-legend) {
  --chart-height: 231px;
}.chart[data-v-c0c97345] {
  --chart-height: 200px;
  min-height: var(--chart-height);
  max-height: var(--chart-height);
}
.chart[data-v-c0c97345]:not(.with-legend) {
  --chart-height: 231px;
}.chart[data-v-0b3affc8] {
  max-height: 200px;
}/* Element Chalk Variables */
.pagination[data-v-071378cc] {
  margin-top: 1rem;
}
.pagination.top[data-v-071378cc] {
  margin-bottom: 1rem;
  margin-top: 0;
}
.pagination .el-select[data-v-071378cc] {
  width: 105px;
}
@media only screen and (max-width: 767px) {
.pagination .page-size[data-v-071378cc] {
    display: none;
}
}
.pagination .total[data-v-071378cc] {
  padding: 0 4px;
  line-height: 1.85;
  font-size: var(--el-font-size-extra-small);
  color: var(--ks-content-secondary);
  white-space: nowrap;
}
.pagination[data-v-071378cc] .el-pagination .el-pager li {
  background-color: var(--ks-button-background-secondary);
  border: 1px solid var(--ks-border-primary);
  color: var(--ks-content-primary);
}
.pagination[data-v-071378cc] .el-pagination .el-pager li:hover, .pagination[data-v-071378cc] .el-pagination .el-pager li.is-active {
  background-color: var(--ks-button-background-secondary-hover);
  border: 1px solid var(--ks-border-active);
}.dashboard-filters[data-v-f85d6a3a],
.dashboard[data-v-f85d6a3a] {
  padding: 0 2rem;
  margin: 0;
}
.dashboard-filters .description[data-v-f85d6a3a],
.dashboard .description[data-v-f85d6a3a] {
  border: none !important;
  color: var(ks-content-secondary);
}
.dashboard[data-v-f85d6a3a] {
  container-type: inline-size;
  padding-bottom: 1rem;
  margin: 1rem 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
}
.card[data-v-f85d6a3a] {
  box-shadow: 0px 2px 4px 0px var(--ks-card-shadow);
  background: var(--ks-background-card);
  color: var(--ks-content-primary);
  border: 1px solid var(--ks-border-primary);
  border-radius: 0.25rem;
  overflow: hidden;
  flex-shrink: 0;
  grid-column: span 12;
}
@container (width > 500px) {
.card[data-v-f85d6a3a] {
    grid-column: span 6;
}
}
@container (width > 1000px) {
.card[data-v-f85d6a3a] {
    grid-column: span 3;
}
}
@container (width > 500px) {
.card-1\/2[data-v-f85d6a3a], .card-2\/3[data-v-f85d6a3a], .card-1\/3[data-v-f85d6a3a] {
    grid-column: span 12;
}
}
@container (width > 1000px) {
.card-1\/2[data-v-f85d6a3a] {
    grid-column: span 6;
}
}
@container (width > 1000px) {
.card-2\/3[data-v-f85d6a3a] {
    grid-column: span 8;
}
}
@container (width > 1000px) {
.card-1\/3[data-v-f85d6a3a] {
    grid-column: span 4;
}
}
@container (width > 500px) {
.card-1[data-v-f85d6a3a] {
    grid-column: span 12;
}
}
.dashboard-filters[data-v-f85d6a3a] {
  margin: 24px 0 0 0;
  padding-bottom: 0;
}
.dashboard-filters .el-row[data-v-f85d6a3a] {
  padding: 0 5px;
}
.dashboard-filters .el-col[data-v-f85d6a3a] {
  padding-bottom: 0 !important;
}
.description[data-v-f85d6a3a] {
  padding: 0 2rem 1rem 2rem;
  margin: 0;
  color: var(--ks-content-secondary);
}
.custom[data-v-f85d6a3a] {
  padding: 0 2rem 1rem 2rem;
}
.custom.el-row[data-v-f85d6a3a] {
  width: 100%;
}
.custom.el-row .el-col[data-v-f85d6a3a] {
  padding-bottom: 20px;
}
.custom.el-row .el-col:nth-of-type(even) > div[data-v-f85d6a3a] {
  margin-left: 1rem;
}
.custom.el-row .el-col > div[data-v-f85d6a3a] {
  height: 100%;
  background: var(--ks-background-card);
  border: 1px solid var(--ks-border-primary);
  border-radius: 0.25rem;
}
[data-v-f85d6a3a] .legend::-webkit-scrollbar {
  height: 5px;
  width: 5px;
}
[data-v-f85d6a3a] .legend::-webkit-scrollbar-track {
  background: var(--ks-background-card);
}
[data-v-f85d6a3a] .legend::-webkit-scrollbar-thumb {
  background: var(--ks-button-background-primary);
  border-radius: 0px;
}
[data-v-f85d6a3a] .legend::-webkit-scrollbar-thumb:hover {
  background: var(--ks-button-background-primary-hover);
}.plugin-doc[data-v-84f2b71c] {
  background-color: var(--ks-background-body) !important;
}
.plugin-doc[data-v-84f2b71c] .plugin-title {
  font-size: 1.25em;
}
.plugin-doc .plugin-icon[data-v-84f2b71c] {
  width: 25px;
  height: 25px;
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .markdown {
  display: flex;
  flex-direction: column;
  gap: var(--spacer);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] button {
  color: var(--ks-content-primary);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .code-block {
  background-color: var(--ks-background-card);
  border: 1px solid var(--ks-border-primary);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .language {
  color: var(--ks-content-tertiary);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section p {
  margin-bottom: 0;
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .collapse-button {
  font-size: var(--font-size-lg);
  line-height: 1.5rem;
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .collapsible-body .border {
  --collapsible-border-color: var(--ks-border-primary);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section > .collapse-button:not(.collapsed) {
  color: var(--ks-content-link);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .property {
  background-color: var(--ks-dropdown-background);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .property button:hover {
  background-color: var(--ks-dropdown-background-hover);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .property:not(:has(.collapsed)) > .collapsible-body {
  background-color: var(--ks-dropdown-background-active);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .type-box .ref-type {
  border-right: 1px solid var(--ks-border-primary);
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .type-box:has(.ref-type):hover {
  background: var(--ks-button-background-secondary-hover) !important;
}
.plugin-doc .plugin-schema[data-v-84f2b71c] .plugin-section .type-box:has(.ref-type):hover .ref-type {
  border-right: 1px solid var(--ks-border-secondary);
}.el-button.el-button--default[data-v-74a33b39] {
  transition: none;
}
.el-button.el-button--default.el-button--small[data-v-74a33b39] {
  padding: 5px;
  height: fit-content;
}
.el-button.el-button--default[data-v-74a33b39]:hover, .el-button.el-button--default[data-v-74a33b39]:focus {
  background-color: var(--ks-button-background-secondary);
}
.el-button.el-button--default.success[data-v-74a33b39] {
  border-color: rgb(var(--bs-success-rgb));
}
.el-button.el-button--default:not(.success) span[data-v-74a33b39]:not(.material-design-icon) {
  margin-left: 0.5rem;
  font-size: 0.875rem;
}
.el-button.el-button--default.warning[data-v-74a33b39] {
  border-color: var(--ks-border-warning);
}
.el-button.el-button--default.error[data-v-74a33b39] {
  border-color: var(--ks-border-error);
}
.validation-tooltip[data-v-74a33b39] {
  padding: 0;
  width: fit-content;
  min-width: 20vw;
  max-width: 50vw;
  border-radius: 0.5rem;
  color: #26282D;
}
html.dark .validation-tooltip[data-v-74a33b39] {
  color: white;
}
.validation-tooltip[data-v-74a33b39] > * {
  height: fit-content;
  margin: 0;
}
.validation-tooltip .el-header[data-v-74a33b39] {
  padding: 1rem;
  background-color: var(--ks-background-table-header);
  border-radius: 0.5rem 0.5rem 0 0;
  font-size: 0.875rem;
  font-weight: 700;
}
.validation-tooltip .el-header .material-design-icon[data-v-74a33b39] {
  font-size: 1.5rem;
  margin-right: 0.5rem;
}
.validation-tooltip .el-main[data-v-74a33b39] {
  padding: 2rem 1rem !important;
  font-family: "Source Code Pro", monospace;
  background-color: white;
  white-space: normal;
  border-top: 1px solid var(--bs-gray-300);
  text-wrap: wrap;
}
html.dark .validation-tooltip .el-main[data-v-74a33b39] {
  color: white;
  background-color: var(--bs-gray-400);
  border-top: 1px solid var(--bs-gray-600);
}.main-editor[data-v-8f43efa4] {
  padding: 0.5rem 0px;
  background: var(--ks-background-body);
  display: flex;
  height: calc(100% - 49px);
  min-height: 0;
  max-height: 100%;
}
.main-editor[data-v-8f43efa4] > * {
  flex: 1;
}
html.dark .main-editor[data-v-8f43efa4] {
  background-color: var(--bs-gray-100);
}
.el-empty[data-v-8f43efa4] {
  background-color: transparent;
}
.el-empty .el-empty__description[data-v-8f43efa4] {
  font-size: var(--el-font-size-small);
}
.custom[data-v-8f43efa4] {
  padding: 24px 32px;
}
.custom.el-row[data-v-8f43efa4] {
  width: 100%;
}
.custom.el-row .el-col[data-v-8f43efa4] {
  padding-bottom: 20px;
}
.custom.el-row .el-col:nth-of-type(even) > div[data-v-8f43efa4] {
  margin-left: 1rem;
}
.custom.el-row .el-col > div[data-v-8f43efa4] {
  height: 100%;
  background: var(--ks-background-card);
  border: 1px solid var(--ks-border-primary);
  border-radius: 0.25rem;
}
.editor-combined[data-v-8f43efa4] {
  width: 50%;
  min-width: 0;
}
.plugin-doc[data-v-8f43efa4] {
  overflow-x: scroll;
}
[data-v-8f43efa4] .combined-right-view,
.combined-right-view[data-v-8f43efa4] {
  flex: 1;
  position: relative;
  overflow-y: auto;
  height: 100%;
}
[data-v-8f43efa4] .combined-right-view.enhance-readability,
.combined-right-view.enhance-readability[data-v-8f43efa4] {
  padding: calc(var(--spacer) * 1.5);
  background-color: var(--bs-gray-100);
}
[data-v-8f43efa4] .combined-right-view::-webkit-scrollbar,
.combined-right-view[data-v-8f43efa4]::-webkit-scrollbar {
  width: 10px;
  height: 2px;
}
[data-v-8f43efa4] .combined-right-view::-webkit-scrollbar-track,
.combined-right-view[data-v-8f43efa4]::-webkit-scrollbar-track {
  background: var(--card-bg);
}
[data-v-8f43efa4] .combined-right-view::-webkit-scrollbar-thumb,
.combined-right-view[data-v-8f43efa4]::-webkit-scrollbar-thumb {
  background: var(--bs-primary);
  border-radius: 20px;
}
.slider[data-v-8f43efa4] {
  flex: 0 0 3px;
  border-radius: 0.15rem;
  margin: 0 4px;
  background-color: var(--bs-border-color);
  border: none;
  cursor: col-resize;
  user-select: none; /* disable selection */
  padding: 0;
}
.slider[data-v-8f43efa4]:hover {
  background-color: var(--bs-secondary);
}
.text-container[data-v-8f43efa4] {
  width: 100%;
  overflow: hidden;
  text-align: center;
  word-wrap: break-word; /* Ensures long words break and wrap to the next line */
  white-space: normal; /* Allows text to wrap to the next line */
}
.view-buttons .el-button[data-v-8f43efa4] {
  border: 0;
  background: none;
  opacity: 0.5;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}
.view-buttons .el-button.el-button--primary[data-v-8f43efa4] {
  color: var(--ks-content-link);
  opacity: 1;
}